libebook::TealDocTextParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::TealDocTextParser Class Reference

## Public Member Functions
| TealDocTextParser (librevenge::RVNGTextInterface *document)
void | parse (librevenge::RVNGInputStream *input, bool last=false)

## Private Member Functions
| TealDocTextParser (const TealDocTextParser &other)
TealDocTextParser | operator= (const TealDocTextParser &other)
bool | parseTag (librevenge::RVNGInputStream *input)
bool | parseHeaderTag (const Attributes_t &attributeList)
void | openParagraph (const TealDocAttributes &attributes=TealDocAttributes())
void | closeParagraph ()
void | finishParagraph ()
void | flushText (const TealDocAttributes &attributes=TealDocAttributes())

## Private Attributes
librevenge::RVNGTextInterface *const | m_document
string | m_text
bool | m_openedParagraph

## Constructor & Destructor Documentation

## ◆ TealDocTextParser() [1/2]

libebook::TealDocTextParser::TealDocTextParser | ( | const TealDocTextParser & | other | ) |
| private

## ◆ TealDocTextParser() [2/2]

libebook::TealDocTextParser::TealDocTextParser | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## Member Function Documentation

## ◆ closeParagraph()

void libebook::TealDocTextParser::closeParagraph | ( |  | ) |
| private

Referenced by finishParagraph(), and parseHeaderTag().

## ◆ finishParagraph()

void libebook::TealDocTextParser::finishParagraph | ( |  | ) |
| private

Referenced by parse(), and parseTag().

## ◆ flushText()

void libebook::TealDocTextParser::flushText | ( | const TealDocAttributes & | attributes = `TealDocAttributes()` | ) |
| private

Referenced by finishParagraph(), and parseHeaderTag().

## ◆ openParagraph()

void libebook::TealDocTextParser::openParagraph | ( | const TealDocAttributes & | attributes = `TealDocAttributes()` | ) |
| private

Referenced by flushText(), and parseHeaderTag().

## ◆ operator=()

TealDocTextParser libebook::TealDocTextParser::operator= | ( | const TealDocTextParser & | other | ) |
| private

## ◆ parse()

void libebook::TealDocTextParser::parse | ( | librevenge::RVNGInputStream * | input,
|  | bool | last = `false`
| ) |  |

## ◆ parseHeaderTag()

bool libebook::TealDocTextParser::parseHeaderTag | ( | const Attributes_t & | attributeList | ) |
| private

Referenced by parseTag().

## ◆ parseTag()

bool libebook::TealDocTextParser::parseTag | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::TealDocTextParser::m_document
| private

Referenced by closeParagraph(), flushText(), and openParagraph().

## ◆ m_openedParagraph

bool libebook::TealDocTextParser::m_openedParagraph
| private

Referenced by closeParagraph(), flushText(), and openParagraph().

## ◆ m_text

string libebook::TealDocTextParser::m_text
| private

Referenced by flushText(), parse(), and parseHeaderTag().

The documentation for this class was generated from the following file:

- TealDocParser.cpp